<?php
/**
 * Webkul Software
 *
 * @category    Webkul
 * @package     Webkul_Agorae
 * @author      Webkul
 * @copyright   Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license     https://store.webkul.com/license.html
 */
namespace Webkul\Agorae\Api\Data;

/**
 * Agorae MpfavouritesellerInterface interface.
 *
 * @api
 */
interface MpfavouritesellerInterface
{
    /**#@+
     * Constants for keys of data array. Identical to the name of the getter in snake case
     */
    const ENTITY_ID   = 'entity_id';

    const CUSTOMER_ID = 'customer_id';

    const SELLER_ID   = 'seller_id';

    const LIKED_AT    = 'liked_at';

    /**#@-*/

    /**
     * Get ID.
     *
     * @return int|null
     */
    public function getId();

    /**
     * Set ID.
     *
     * @param int $id
     *
     * @return \Webkul\Agorae\Api\Data\MpFavouriteSellerInterface
     */
    public function setId($id);

    /**
     * Get Seller Id
     *
     * @return int|null
     */
    public function getSellerId();
    /**
     * Set seller Id
     * @param int $sellerId
     */
    
    public function setSellerId($sellerId);
    /**
     * Set customer id
     *
     * @return int|null
     */
    public function getCustomerId();

    /**
     * Set customer Id
     * @param int $customerId contain customer id
     */
    
    public function setCustomerId($customerId);

    /**
     * Get liked_at
     * @return int|null
     */
    public function getLikedAt();

    /**
     * Set liked at
     * @param date $timeStamp
     */
    public function setLikedAt($timeStamp);
}
